// priority: 0

ServerEvents.recipes(event => {
  	//removals
	removeRecipeByID(event, [
		
	])
	
	//matter ball to singularity in recipes
	event.replaceInput({ id: /megacells/ }, AE2("matter_ball"), AE2("singularity"))

    //mega emc interface
	removeRecipeByOutput(event, [
		MGC("mega_emc_interface"),
	])
	event.recipes.extendedcrafting.shaped_table(MGC('mega_emc_interface'), [
		'CEBEC',
		'EGGGE',
		'BDAFB',
		'EGGGE',
		'CEBEC',
	], {
		A: AE2_PRE('emc_interface'),
		B: AE2('fluix_glass_cable'),
		C: CP('iron_2'),
		D: AE2('formation_core'),
		E: MGC('accumulation_processor'),
		F: AE2('annihilation_core'),
		G: PREXP('purple_matter'),
	})

	//mega energy cell
	removeRecipeByOutput(event, [
		MGC("mega_energy_cell"),
	])
	event.recipes.extendedcrafting.shaped_table(MGC('mega_energy_cell'), [
		'CEBEC',
		'EDDDE',
		'BDADB',
		'EDDDE',
		'CEBEC',
	], {
		A: P('energy_cell_hardened'),
		B: AE2('fluix_glass_cable'),
		C: CP('iron_1'),
		D: AE2('dense_energy_cell'),
		E: AE2('fluix_pearl'),
	})
	
	//inscriber press from scrap
	removeRecipeByOutput(event, [
		MGC("accumulation_processor_press"),
	])
	event.stonecutting(MGC("accumulation_processor_press"), KJ("circuit_scrap"))
})
